create table PLANTS(
 PLANT_ID  integer not null primary key,
 NAME      varchar(255) character set WIN1251 collate PXW_CYRL,
 FIRM_ID   integer,
 CLI_KIND  integer,
 SCHEM_ID  integer,
 GDOORS    BLOB SUB_TYPE 0 SEGMENT SIZE 80
);
alter table TabOper       add SA       char(1);
alter table TabOper       add PLANT_ID integer;
alter table DEPARTMENT    add PLANT_ID integer;
alter table PROFESSION    add PLANT_ID integer;
alter table STRUCTURE     add PLANT_ID integer;
alter table PERSONNEL     add PLANT_ID integer;
alter table PERS_HISTORY  add PLANT_ID integer;
alter table VISITORS      add PLANT_ID integer;
alter table CARDLOG       add PLANT_ID integer;
alter table BP_REQUEST    add PLANT_ID integer;
alter table BP_BLACK_LIST add PLANT_ID integer;
alter table AUTO_BOOK     add PLANT_ID integer;
alter table CARDLOG_AUTO  add PLANT_ID integer;
alter table IMP_EXP_FREIGHT add PLANT_ID integer;
alter table SCHEME_KPP    add PLANT_ID integer;
commit;

insert into PLANTS(PLANT_ID, NAME, FIRM_ID) values (0, ' ', 0);
update TabOper set SA=1 where OPER_ID=1;
update PERSONNEL set PLANT_ID=0;
update DEPARTMENT set PLANT_ID=0;
update PROFESSION set PLANT_ID=0;
update PERS_HISTORY set PLANT_ID=0;
update STRUCTURE set PLANT_ID=0;
update CARDLOG set PLANT_ID=0;
update BP_REQUEST set PLANT_ID=0;
update BP_BLACK_LIST set PLANT_ID=0;
update AUTO_BOOK set PLANT_ID=0;
update CARDLOG_AUTO set PLANT_ID=0;
update IMP_EXP_FREIGHT set PLANT_ID=0;
update SCHEME_KPP set PLANT_ID=0;
commit;

create table HIST_USER(
 CODE         integer not null primary key,
 DT           date,
 COD_EVENT    smallint not null,
 NUM_KD       varchar(8),
 USER_ID      integer,
 FIO_USER     varchar(200) character set WIN1251 collate PXW_CYRL,
 UIN          varchar(32) character set WIN1251 collate PXW_CYRL,
 AUTO_NUM     varchar(70) character set WIN1251 collate PXW_CYRL,
 FIO_OPER     varchar(70) character set WIN1251 collate PXW_CYRL,
 EVENT_       varchar(255) character set WIN1251 collate PXW_CYRL,
 COMM         varchar(255) character set WIN1251 collate PXW_CYRL
);
create generator GEN_HIST_User;
commit;
create index IHID_USER on HIST_USER(USER_ID);
create index IHNUM_KD on HIST_USER(NUM_KD);
drop view ListUsers;
commit;

create view ListUsers (
 USER_ID, INDICATION, CLI_N, F_NAME, S_NAME, M_NAME, PLANT_ID,
 DEPARTMENT_ID, PROFESSION_ID, ORG_ID, JOB, TABN, NUM, CLI_KIND,
 W_PHONE, DATE_BRS, H_ADDR, H_PHONE, M_PHONE, P_NUM, P_ISSUED, P_ISSUEDAY,
 REGISTRATION, LEVEL_KD, CARD_STS, GettingDATE, LOST_KD, Decision, Black_LIST,
 DepN, JobN, OrgN, KIND_OPIS, CODE, NUM_KD, LREAL, CELLPOSITION)
as
select p.USER_ID, p.INDICATION, p.CLI_N, p.F_NAME, p.S_NAME, p.M_NAME, p.PLANT_ID,
 p.DEPARTMENT_ID, p.PROFESSION_ID, p.ORG_ID, p.JOB, p.TABN, p.NUM, p.CLI_KIND,
 p.W_PHONE, p.DATE_BRS, p.H_ADDR, p.H_PHONE, p.M_PHONE, p.P_NUM, p.P_ISSUED, p.P_ISSUEDAY,
 p.REGISTRATION, p.LEVEL_KD, p.CARD_STS, p.GettingDATE, p.LOST_KD, p.Decision, p.Black_LIST,
 d.NAME, j.NAME, o.NAME, t.KIND_OPIS, c.CODE, c.NUM_KD, c.LEVEL_KD, p.CELLPOSITION
from (((((PERSONNEL p left join CLITYPES t on p.CLI_KIND=t.CLI_KIND)
left join DEPARTMENT d on p.DEPARTMENT_ID=d.CODE)
left join PROFESSION j on p.PROFESSION_ID=j.PROFESSION_ID)
left join AlienOrg o on p.ORG_ID=o.ORG_ID) left join CLITAB c on p.CLI_N=c.N);
commit;